-- INIT_HU.sql
-----------------------------------------------------------
-- AZ ORACLE MINTATBLK KZVETLEN LTREHOZSA           --
-----------------------------------------------------------
-- Utols javts dtuma: 2014.11.08.
-----------------------------------------------------------

DROP TABLE EMP;
DROP TABLE DEPT;
DROP TABLE BONUS;
DROP TABLE SALGRADE;

ALTER SESSION SET NLS_DATE_FORMAT = 'YYYY.MM.DD';

CREATE TABLE DEPT 
    (DEPTNO              NUMBER(2) NOT NULL,
     DNAME               VARCHAR2(14),
     LOC                 VARCHAR2(13),
  CONSTRAINT DEPT_PRIMARY_KEY PRIMARY KEY (DEPTNO));

INSERT INTO DEPT VALUES (10,'ACCOUNTING','NEW YORK');
INSERT INTO DEPT VALUES (20,'RESEARCH','DALLAS');
INSERT INTO DEPT VALUES (30,'SALES','CHICAGO');
INSERT INTO DEPT VALUES (40,'OPERATIONS','BOSTON');

CREATE TABLE EMP 
    (EMPNO               NUMBER(4) NOT NULL,
     ENAME               VARCHAR2(10),
     JOB                 VARCHAR2(9),
     MGR                 NUMBER(4) CONSTRAINT EMP_SELF_KEY REFERENCES EMP (EMPNO),
     HIREDATE            DATE,
     SAL                 NUMBER(7,2),
     COMM                NUMBER(7,2),
     DEPTNO              NUMBER(2) NOT NULL,
  CONSTRAINT EMP_PRIMARY_KEY PRIMARY KEY (EMPNO),
  CONSTRAINT EMP_FOREIGN_KEY FOREIGN KEY (DEPTNO) REFERENCES DEPT (DEPTNO));

INSERT INTO EMP VALUES (7839,'KING','PRESIDENT',NULL,'1981.11.17',5000,NULL,10);
INSERT INTO EMP VALUES (7698,'BLAKE','MANAGER',7839,'1981.05.01',2850,NULL,30);
INSERT INTO EMP VALUES (7782,'CLARK','MANAGER',7839,'1981.06.09',2450,NULL,10);
INSERT INTO EMP VALUES (7566,'JONES','MANAGER',7839,'1981.04.02',2975,NULL,20);
INSERT INTO EMP VALUES (7654,'MARTIN','SALESMAN',7698,'1981.09.28',1250,1400,30);
INSERT INTO EMP VALUES (7499,'ALLEN','SALESMAN',7698,'1981.02.20',1600,300,30);
INSERT INTO EMP VALUES (7844,'TURNER','SALESMAN',7698,'1981.09.08',1500,0,30);
INSERT INTO EMP VALUES (7900,'JAMES','CLERK',7698,'1981.12.03',950,NULL,30);
INSERT INTO EMP VALUES (7521,'WARD','SALESMAN',7698,'1981.02.22',1250,500,30);
INSERT INTO EMP VALUES (7902,'FORD','ANALYST',7566,'1981.12.03',3000,NULL,20);
INSERT INTO EMP VALUES (7369,'SMITH','CLERK',7902,'1980.12.17',800,NULL,20);
INSERT INTO EMP VALUES (7788,'SCOTT','ANALYST',7566,'1987.04.19',3000,NULL,20);
INSERT INTO EMP VALUES (7876,'ADAMS','CLERK',7788,'1987.05.23',1100,NULL,20);
INSERT INTO EMP VALUES (7934,'MILLER','CLERK',7782,'1982.01.23',1300,NULL,10);

CREATE TABLE BONUS (
 ENAME               VARCHAR2(10),
 JOB                 VARCHAR2(9),
 SAL                 NUMBER,
 COMM                NUMBER);

CREATE TABLE SALGRADE (
 GRADE               NUMBER,
 LOSAL               NUMBER,
 HISAL               NUMBER);

INSERT INTO SALGRADE VALUES (1,700,1200);
INSERT INTO SALGRADE VALUES (2,1201,1400);
INSERT INTO SALGRADE VALUES (3,1401,2000);
INSERT INTO SALGRADE VALUES (4,2001,3000);
INSERT INTO SALGRADE VALUES (5,3001,9999);

SELECT * FROM EMP;
SELECT * FROM DEPT;
SELECT * FROM BONUS;
SELECT * FROM SALGRADE;
